## ros-melodic-swri-cli-tools 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_cli_tools)

set(RUN_DEPS
  marti_introspection_msgs
  rosgraph
  rospy
  rostopic
)

find_package(catkin REQUIRED
)

catkin_package(
  CATKIN_DEPENDS ${RUN_DEPS}
)

catkin_python_setup()

install(DIRECTORY scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_add_env_hooks(15.rosman SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

=== debian/changelog ===
ros-melodic-swri-cli-tools (2.15.2-1bionic) bionic; urgency=high

  * Renamed rosman package to swri_cli_tools. (#682 <https://github.com/swri-robotics/marti_common/issues/682>)
  * Contributors: Robert Brothers

 -- Robert Brothers <robert.brothers@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-cli-tools (2.15.1-1bionic) bionic; urgency=high

  * Merge branch 'master' into PR644
  * Merge pull request #643 <https://github.com/swri-robotics/marti_common/issues/643> from rookie80/rosman_check_improvement
    added xlmrpc support for rosman check, changed output for rosman check
  * removed dead code
  * added xlmrpc support for rosman check, changed output for rosman check
  * Merge branch 'master' into setParam_getParam_support
  * Contributors: David Anthony, Justus

 -- Robert Brothers <robert.brothers@swri.org>  Fri, 26 Aug 2022 05:00:00 -0000

ros-melodic-swri-cli-tools (2.15.0-1bionic) bionic; urgency=high

  * Merge pull request #639 <https://github.com/swri-robotics/marti_common/issues/639> from danthony06/bump_version_number
    Bumping version numbers for new release
  * Bumping version numbers for new release
  * Merge branch 'master' into add-swri-serviceserver-support
  * Merge pull request #629 <https://github.com/swri-robotics/marti_common/issues/629> from rookie80/rosman_check_parameter
    Rosman check undocumented and documented
  * fixed spacing
  * fixing formatting
  * adding -v flag for reverse search
  * Merge pull request #625 <https://github.com/swri-robotics/marti_common/issues/625> from matt-attack/autodoc-cli
    Add swri::NodeHandle wrapper which allows self-documenting introspectable nodes
  * Remove commented out lines and fixup package.xml
  * Fallback to service clients/subscribers if no service services/pubs exist for a topic/service
  * Handle grouped services correctly and also display service clients
  * Swap to use marti introspection messages
  * Fix fallback for parameter values and add support for groupings and min and max param values
    Also add support for XMLRPC type
    Also add support for namespaced nodehandles
  * removing extra quote mark from environment hooks file
  * Added very simple fallback for rosman node tool
  * Added and installed environment hooks for tab completion.
  * Roughed out rosman bash completion. env-hook installation not complete
  * Actually writing rosman service output to screen now. Added marti_common_msgs as dependency
  * fleshed out rosman service tool
  * Roughed out rosman param command
  * Fleshed out rosman topic
  * Added an output file option for rosman node tool.
  * Added option to print yaml and made documentation style terminal output the default
  * Removing vim temporaries and adding that file type to the gitignore
  * Made rosman node able to dump stringified documentation messages to stdout
  * stubbed out rosman cli command entry points
  * Contributors: David Anthony, Justus, Matthew Bries, Robert Brothers

 -- Robert Brothers <robert.brothers@swri.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-melodic-swri-cli-tools (2.14.2-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.14.1-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.14.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.7-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.6-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 17 Jun 2020 21:26:00 -0000

ros-melodic-swri-cli-tools (2.13.5-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 17 Jun 2020 17:24:00 -0000

ros-melodic-swri-cli-tools (2.13.4-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.3-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.2-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.1-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.13.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.12.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-cli-tools (2.11.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-cli-tools (2.10.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-cli-tools (2.9.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-cli-tools (2.8.0-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-cli-tools (2.7.3-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-cli-tools (2.7.2-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-cli-tools (2.7.1-1bionic) bionic; urgency=high



 -- Robert Brothers <robert.brothers@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-cli-tools (2.7.0-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-swri-cli-tools
Section: misc
Priority: optional
Maintainer: Robert Brothers <robert.brothers@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-marti-introspection-msgs
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-melodic-swri-cli-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-marti-introspection-msgs, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-rostopic
Description: rosman contains the rosman tool for introspecting ROS nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-cli-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
